#!/bin/bash

# Setup build environment
if [ ! -d "/opt/build" ]
then
	mkdir -p /opt/build
fi
chown -R sysadmin:admins /opt/build

# Build and install
su sysadmin -c "git clone https://git.xoservice.nl/marcel/aur_zfs-utils.git /opt/build/zfs-utils"
su sysadmin -c "git clone https://git.xoservice.nl/marcel/aur_openzfs.git /opt/build/openzfs"

BUILDVER=$(cat /opt/build/openzfs/PKGBUILD | grep _kernelver_full | cut -f 2 -d \")
KERNVER=$(uname -r)

if [ ! "$BUILDVER-lts" == "$KERNVER" ]
then
	echo "Kernel version not supported."
	echo "Version $KERNVER found."
	echo "Version $BUILDVER required."
	exit
else
	su sysadmin -c "cd /opt/build/zfs-utils && makepkg --noconfirm -si"
	su sysadmin -c "cd /opt/build/openzfs && makepkg --noconfirm ---skipchecksums --skipgpgcheck -si"
	echo "zfs" > /etc/modules-load.d/zfs.conf
fi
